{% extends 'static_appointment.html' %} {% block content %}
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" style="color:#20a9f8;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">RAD</span>
    </a>
    <!-- <a class="navbar-brand" href="/">
        <div class="logo-image">
            <img src="SIRADLOGO.png" alt="img" style="max-width: 20px; max-height: 24px"></img>
        </div>
    </a> -->
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Dokter
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/appointmentdokter/create-appointmentdokter">Create Appointment</a>
                    <a class="dropdown-item" href="/appointmentdokter">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Grooming
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Create Appointment</a>
                    <a class="dropdown-item" href="#">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Event
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Adopsi
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/adopsi/">List Adopsi</a>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>

<head>
    <title>Create Appointment Dokter</title>
    <script src="https://kit.fontawesome.com/98a151f25f.js" crossorigin="anonymous"></script>
</head>
<div class="container">
    <!-- Outer Row -->
    <main id="main">
        <section>
            <div class="container-fluid text-center">
                <br>
                <h2 style="color:#000000;
                font-family: 'Poppins', sans-serif;
                font-size: 24px;
                font-weight: 600;">Create Appointment Dokter</h2>
                <div class="row justify-content-center">
                    <div class="col-md-8">
                        <a href="/appointmentdokter/" class="text-left">
                            <p> <i class="fa-solid fa-chevron-left"></i>&nbsp;&nbsp; List Appointment Dokter</p>
                        </a>
                    </div>
                </div>


                <div class="row justify-content-center">
                    <div class="col-md-8">
                        <div class="card">
                            <div class="card-body">
                                <form class="user" method="POST">
                                    {% csrf_token %} {% if form.errors %}
                                    <div class="alert alert-danger text-left">{{ form.non_field_errors }}</div>
                                    {% endif %}
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label class="col-sm-4">Dokter Hewan:</label>
                                            <div class="col-sm-8">
                                                <input type="text" list="dokterlist" Placeholder="Pilih Dokter.." class="form-control" id="dokter-input" autocomplete="off">
                                                <datalist id="dokterlist">
                                                {% for dokter in listDokter %}
                                                <option value="{{ dokter.first_name }}" data-dokter-id="{{ dokter.id }}">{{ dokter.first_name }} {{ dokter.last_name }}</option>
                                                {% endfor %}
                                            </datalist>
                                                <input type="hidden" name="dokter" id="dokter-id">
                                            </div>
                                        </div>
                                    </div>
                                    {% if listHewan %}
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label class="col-sm-4" for="hewan">Hewan:</label>
                                            <div class="col-sm-8">
                                                <input type="text" list="hewanlist" Placeholder="Pilih Hewan Peliharaan.." class="form-control" id="hewan-input" autocomplete="off">
                                                <datalist id="hewanlist">
                                                {% for hewan in listHewan %}
                                                <option value="{{ hewan.nama }}" data-hewan-id="{{ hewan.hewan_id }}"></option>
                                                {% endfor %}
                                            </datalist>
                                                <input type="hidden" name="hewan" id="hewan-id">
                                            </div>
                                        </div>
                                    </div>
                                    {% else %}
                                    <div class="form-group">
                                        <div class="row mt-6">
                                            <label for="hewan">Hewan:</label>
                                            <div class="col-sm-8">
                                                <p style="color: red">Kamu belum memiliki hewan, silahkan tambahkan hewan</p>
                                                <a href="/profile/tambah-hewan/{{ user_id }}" class="btn btn-warning">Tambah Hewan</a>
                                            </div>
                                        </div>
                                    </div>
                                    {% endif %}
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label class="col-sm-4">Waktu Appointment:</label>
                                            <div class="col-sm-8">
                                                <input type="datetime-local" name="{{ form.appointment_time.name }}" class="form-control" id="appointment_time" placeholder="appointment_time" required>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label class="col-sm-4">Keluhan:</label>
                                            <div class="col-sm-8">
                                                <textarea name="keluhan" rows="5" cols="48" id="keluhan" placeholder="e.g. Mata berair, kaki pincang" required></textarea><br>
                                            </div>
                                        </div>

                                        <div class="mt-5 text-center">
                                            <button class="btn btn-primary px-4" type="submit">Create</button>
                                        </div>
                                        <br>
                                </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

            <script>
                // Get the next day date and time
                const now = new Date();
                now.setDate(now.getDate() + 1);
                const year = now.getFullYear();
                const month = (now.getMonth() + 1).toString().padStart(2, '0');
                const day = now.getDate().toString().padStart(2, '0');
                const hour = now.getHours().toString().padStart(2, '0');
                const minute = now.getMinutes().toString().padStart(2, '0');

                // Set the min and max attributes of the datetime-local inputs
                const startInput = document.getElementById('appointment_time');
                startInput.min = `${year}-${month}-${day}T${hour}:${minute}`;
                startInput.max = `${year + 100}-${month}-${day}T23:59`;

                // Add event listener to start time input to prevent selecting end time before start time
                startInput.addEventListener('input', function() {
                    endInput.min = startInput.value;
                });

                const dokterInput = document.getElementById('dokter-input');
                const dokterIdInput = document.getElementById('dokter-id');

                dokterInput.addEventListener('change', (event) => {
                    const selectedOption = document.querySelector(`#dokterlist option[value="${event.target.value}"]`);
                    const dokterId = selectedOption.getAttribute('data-dokter-id');
                    dokterIdInput.value = dokterId;
                });

                const hewanInput = document.getElementById('hewan-input');
                const hewanIdInput = document.getElementById('hewan-id');

                hewanInput.addEventListener('change', (event) => {
                    const selectedOption = document.querySelector(`#hewanlist option[value="${event.target.value}"]`);
                    const hewanId = selectedOption.getAttribute('data-hewan-id');
                    hewanIdInput.value = hewanId;
                });
            </script>
            <!-- <script>
                const dokterInput = document.getElementById('dokter-input');
                const dokterIdInput = document.getElementById('dokter-id');

                dokterInput.addEventListener('change', (event) => {
                    const selectedOption = document.querySelector(`#dokterlist option[value="${event.target.value}"]`);
                    const dokterId = selectedOption.getAttribute('data-dokter-id');
                    dokterIdInput.value = dokterId;
                });
            </script>
            <script>
                const hewanInput = document.getElementById('hewan-input');
                const hewanIdInput = document.getElementById('hewan-id');

                hewanInput.addEventListener('change', (event) => {
                    const selectedOption = document.querySelector(`#hewanlist option[value="${event.target.value}"]`);
                    const hewanId = selectedOption.getAttribute('data-hewan-id');
                    hewanIdInput.value = hewanId;
                });
            </script> -->



        </section>
    </main>
</div>


{% endblock content %}